Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSravan Kumar Lakkimsetti2019-12-09 04:10:01 -0500
committerSravan Kumar Lakkimsetti2019-12-09 04:10:01 -0500
commit6d5a12cef54dbe4e8157d6a58229e5e5bbbf8931 (patch)
tree2b444bb60dca0e7f551b405cad07968623d39e38 /cje-production/mbscripts/mb110_tagBuildInputs.sh
parentd02d026d6741e5da503474d6ec2eedd4c95e9181 (diff)
downloadeclipse.platform.releng.aggregator-6d5a12cef54dbe4e8157d6a58229e5e5bbbf8931.tar.gz
eclipse.platform.releng.aggregator-6d5a12cef54dbe4e8157d6a58229e5e5bbbf8931.tar.xz
eclipse.platform.releng.aggregator-6d5a12cef54dbe4e8157d6a58229e5e5bbbf8931.zip
Bug 553757 - Migrate I-builds to new infra
Change-Id: I834bf65062ecc936b70cc5cbfa4b0ce26a90e294 Signed-off-by: Sravan Kumar Lakkimsetti <sravankumarl@in.ibm.com>
Diffstat (limited to 'cje-production/mbscripts/mb110_tagBuildInputs.sh')
-rwxr-xr-xcje-production/mbscripts/mb110_tagBuildInputs.sh9
1 files changed, 4 insertions, 5 deletions
diff --git a/cje-production/mbscripts/mb110_tagBuildInputs.sh b/cje-production/mbscripts/mb110_tagBuildInputs.sh
index f09e4f604..aac1f377b 100755
--- a/cje-production/mbscripts/mb110_tagBuildInputs.sh
+++ b/cje-production/mbscripts/mb110_tagBuildInputs.sh
@@ -33,12 +33,11 @@ lastTag=$(git describe --tags --match "${BUILD_TYPE}*" --abbrev=0)
pushd $CJE_ROOT/$AGG_DIR
# git tagging
-# disable git push for now
-#git submodule foreach "if grep \"^\${name}:\" ../../../streams/repositories_$PATCH_OR_BRANCH_LABEL.txt > /dev/null; then git tag $BUILD_ID; git push --verbose origin $BUILD_ID; else echo Skipping \$name; fi || :"
-git submodule foreach "if grep \"^\${name}:\" ../../../streams/repositories_$PATCH_OR_BRANCH_LABEL.txt > /dev/null; then git tag $BUILD_ID; else echo Skipping \$name; fi || :"
+git commit -m "Build input for build $BUILD_ID"
+
+git submodule foreach "if grep \"^\${name}:\" ../../../streams/repositories_$PATCH_OR_BRANCH_LABEL.txt > /dev/null; then git tag $BUILD_ID; git push --verbose origin $BUILD_ID; else echo Skipping \$name; fi || :"
git tag $BUILD_ID
-# disable git push for now
-#git push --verbose origin $BUILD_ID
+git push --verbose origin $BUILD_ID
# git logging
if [[ -n "$lastTag" ]]; then

Back to the top